メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
stats
Get statistics of devices for an organization
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/stats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 123,
  "active": 123,
  "inStock": 123,
  "preUse": 123,
  "decommissioned": 123,
  "malfunction": 123,
  "onOrder": 123,
  "missing": 123,
  "urgent": 123
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

type
enum<string>
利用可能なオプション:
pc,
phone,
other
groupId
number

Filter stats by device group

:

1

レスポンス

total
number
必須
read-only
:

123

active
number
必須
read-only
:

123

inStock
number
必須
read-only
:

123

preUse
number
必須
read-only
:

123

decommissioned
number
必須
read-only
:

123

malfunction
number
必須
read-only
:

123

onOrder
number
必須
read-only
:

123

missing
number
必須
read-only
:

123

urgent
number
必須
read-only
:

123

最終更新日 2026年7月14日